## debconf 1.5.56

=== debian/changelog ===
debconf (1.5.56) unstable; urgency=medium

  [ Helmut Grohne ]
  * Tighten dependency on debconf for packages sharing their /usr/share/doc
    to comply with Debian policy 12.3 (closes: #779420).

  [ Colin Watson ]
  * Make Debconf::DbDriver::File stop trying to mkdir the empty string if
    configured with a path that does not contain a slash (closes: #682959).

 -- Colin Watson <cjwatson@debian.org>  Thu, 19 Mar 2015 00:54:33 +0000

debconf (1.5.55) unstable; urgency=low

  * Team upload

  [ Programs translations ]
  * Dutch updated. Closes: #771731
  * Spanish updated. Closes: #771847
  * Indonesian updated
  * Catalan updated
  * Japanese updated. Closes: #771886
  * Basque updated. Closes: #771899
  * Romanian updated. Closes: #772065
  * Bulgarian updated. Closes: #772077
  * Polish updated
  * Swedish updated
  * Esperanto updated
  * Portuguese updated. Closes: #772582
  * Turkish updated. Closes: #772813
  * Brazilian Portuguese updated. Closes: #773076
  * Thai updated. Closes: #772967

 -- Christian Perrier <bubulle@debian.org>  Sun, 14 Dec 2014 08:43:06 +0100

debconf (1.5.54) unstable; urgency=medium

  * Team upload

  [ Colin Watson ]
  * Update Vcs-* to current canonical URLs.

  [ Manpages translations ]
  * Portuguese updated. Closes: #756178

  [ Programs translations ]
  * Czech updated. Closes: #764054
  * Russian updated. Closes: #765914
  * Slovenian updated. Closes: #766199
  * Fix typo in Hungarian translation. Closes: #770803

 -- Christian Perrier <bubulle@debian.org>  Mon, 24 Nov 2014 11:06:08 +0100

=== debian/control ===
Source: debconf
Section: admin
Priority: optional
Maintainer: Debconf Developers <debconf-devel@lists.alioth.debian.org>
Uploaders: Colin Watson <cjwatson@debian.org>
Standards-Version: 3.9.5
Build-Depends-Indep: perl (>= 5.10.0-16), python (>= 2.6.6-3~), python3 (>= 3.1.2-8), gettext (>= 0.13), libintl-perl, libqtgui4-perl
Build-Depends: debhelper (>= 7.2.11~), po-debconf, po4a (>= 0.23)
Vcs-Git: git://anonscm.debian.org/debconf/debconf.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debconf/debconf.git;a=summary
X-Python-Version: >= 2.6

Package: debconf
Priority: important
Pre-Depends: perl-base (>= 5.6.1-4)
Conflicts: cdebconf (<< 0.96), debconf-tiny, apt (<< 0.3.12.1), menu (<= 2.1.3-1), dialog (<< 0.9b-20020814-1), whiptail (<< 0.51.4-11), whiptail-utf8 (<= 0.50.17-13), debconf-utils (<< 1.3.22)
Provides: debconf-2.0
Replaces: debconf-tiny
Depends: ${misc:Depends}
Recommends: apt-utils (>= 0.5.1), debconf-i18n
Suggests: debconf-doc, debconf-utils, whiptail | dialog | gnome-utils, libterm-readline-gnu-perl, libgtk2-perl (>= 1:1.130), libnet-ldap-perl, perl, libqtgui4-perl, libqtcore4-perl
Architecture: all
Multi-Arch: foreign
Description: Debian configuration management system
 Debconf is a configuration management system for debian packages. Packages
 use Debconf to ask questions when they are installed.

Package: debconf-i18n
Section: localization
Priority: important
Conflicts: debconf-english, debconf-utils (<< 1.3.22)
Replaces: debconf (<< 1.3.0), debconf-utils (<< 1.3.22)
Architecture: all
Depends: debconf (= ${source:Version}), liblocale-gettext-perl, libtext-iconv-perl, libtext-wrapi18n-perl, libtext-charwidth-perl, ${misc:Depends}
Description: full internationalization support for debconf
 This package provides full internationalization for debconf, including
 translations into all available languages, support for using translated
 debconf templates, and support for proper display of multibyte character
 sets.

Package: debconf-doc
Conflicts: debconf (<< 0.3.10)
Suggests: debian-policy (>= 3.5)
Depends: ${misc:Depends}
Section: doc
Architecture: all
Description: debconf documentation
 This package contains lots of additional documentation for Debconf,
 including the debconf user's guide, documentation about using different
 backend databases via the /etc/debconf.conf file, and a developer's guide
 to debconf.

Package: debconf-utils
Section: devel
Depends: debconf (= ${source:Version}), ${misc:Depends}
Conflicts: debconf (<< 0.1.0)
Replaces: debconf (<< 0.1.0)
Architecture: all
Description: debconf utilities
 This package contains some small utilities for debconf developers.

## debconf 1.5.56+deb8u1

=== debian/changelog ===
debconf (1.5.56+deb8u1) jessie; urgency=medium

  [ Niko Tyni ]
  * Use File::Temp instead of the deprecated POSIX::tmpnam() in
    Debconf::TmpFile (closes: #863071).

 -- Colin Watson <cjwatson@debian.org>  Sat, 17 Jun 2017 12:27:07 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
 
 Package: debconf
 Priority: important
-Pre-Depends: perl-base (>= 5.6.1-4)
+Pre-Depends: perl-base (>= 5.20.1-3~)
 Conflicts: cdebconf (<< 0.96), debconf-tiny, apt (<< 0.3.12.1), menu (<= 2.1.3-1), dialog (<< 0.9b-20020814-1), whiptail (<< 0.51.4-11), whiptail-utf8 (<= 0.50.17-13), debconf-utils (<< 1.3.22)
 Provides: debconf-2.0
 Replaces: debconf-tiny

## debconf 1.5.58ubuntu1

=== Makefile ===
MUNGE=xargs perl -i.bak -ne ' \
		print $$_."\# This file was preprocessed, do not edit!\n" \
			if m:^\#!/usr/bin/perl:; \
		$$cutting=1 if /^=/; \
		$$cutting="" if /^=cut/; \
		next if /use lib/; \
		next if $$cutting || /^(=|\s*\#)/; \
		print $$_ \
	'

all:
	$(MAKE) -C doc
	$(MAKE) -C po

clean:
	find . \( -name \*~ -o -name \*.pyc -o -name \*.pyo \) | xargs rm -f
	rm -rf __pycache__
	$(MAKE) -C doc clean
	$(MAKE) -C po clean
	#remove generated file
	rm -f Debconf/FrontEnd/Kde/Ui_DebconfWizard.pm

# Does not attempt to install documentation, as that can be fairly system
# specific.
install: install-utils install-rest

# Anything that goes in the debconf-utils package.
install-utils:
	install -d $(prefix)/usr/bin
	find . -maxdepth 1 -perm /100 -type f -name 'debconf-*' | grep -v debconf-set-selections | grep -v debconf-show | grep -v debconf-copydb | grep -v debconf-communicate | grep -v debconf-apt-progress | grep -v debconf-escape | \
		xargs -i install {} $(prefix)/usr/bin

# Anything that goes in the debconf-i18n package.
install-i18n:
	$(MAKE) -C po install

# This would probably be easier if we used setup.py ...
PYTHON2_SUPPORTED := $(shell pyversions -s)
PYTHON_SITEDIR = $(prefix)/usr/lib/$(1)/$(if $(filter 2.0 2.1 2.2 2.3 2.4 2.5,$(patsubst python%,%,$(1))),site-packages,dist-packages)

# Install all else.
install-rest:
	install -d $(prefix)/etc \
		$(prefix)/var/cache/debconf \
		$(prefix)/usr/share/debconf \
		$(prefix)/usr/share/pixmaps
	install -m 0644 debconf.conf $(prefix)/etc/
	install -m 0644 debian-logo.png $(prefix)/usr/share/pixmaps/
	# This one is the ultimate backup copy.
	grep -v '^#' debconf.conf > $(prefix)/usr/share/debconf/debconf.conf
	#build the Qt ui file
	-cd $(CURDIR)/Debconf/FrontEnd/Kde/ && bash generateui.sh
	# Make module directories.
	find Debconf -type d |grep -v CVS | \
		xargs -i install -d $(prefix)/usr/share/perl5/{}
	# Install modules.
	find Debconf -type f -name '*.pm' |grep -v CVS | \
		xargs -i install -m 0644 {} $(prefix)/usr/share/perl5/{}
	set -e; for dir in $(foreach python,$(PYTHON2_SUPPORTED),$(call PYTHON_SITEDIR,$(python))); do \
		install -d $$dir; \
		install -m 0644 debconf.py $$dir/; \
	done
	install -d $(prefix)/usr/lib/python3/dist-packages
	install -m 0644 debconf.py $(prefix)/usr/lib/python3/dist-packages/
	# Special case for back-compatability.
	install -d $(prefix)/usr/share/perl5/Debian/DebConf/Client
	cp Debconf/Client/ConfModule.stub \
		$(prefix)/usr/share/perl5/Debian/DebConf/Client/ConfModule.pm
	# Other libs and helper stuff.
	install -m 0644 confmodule.sh confmodule $(prefix)/usr/share/debconf/
	install frontend $(prefix)/usr/share/debconf/
	install -m 0755 transition_db.pl fix_db.pl $(prefix)/usr/share/debconf/
	# Install essential programs.
	install -d $(prefix)/usr/sbin $(prefix)/usr/bin
	find . -maxdepth 1 -perm /100 -type f -name 'dpkg-*' | \
		xargs -i install {} $(prefix)/usr/sbin
	find . -maxdepth 1 -perm /100 -type f -name debconf -or -name debconf-show -or -name debconf-copydb -or -name debconf-communicate -or -name debconf-set-selections -or -name debconf-apt-progress -or -name debconf-escape | \
		xargs -i install {} $(prefix)/usr/bin
	# Now strip all pod documentation from all .pm files and scripts.
	find $(prefix)/usr/share/perl5/ $(prefix)/usr/sbin		\
	     $(prefix)/usr/share/debconf/frontend 			\
	     $(prefix)/usr/share/debconf/*.pl $(prefix)/usr/bin		\
	     -name '*.pl' -or -name '*.pm' -or -name 'dpkg-*' -or	\
	     -name 'debconf-*' -or -name 'frontend' | 			\
	     grep -v Client/ConfModule | $(MUNGE)
	find $(prefix) -name '*.bak' | xargs rm -f

demo:
	PERL5LIB=. ./frontend samples/demo

=== doc/Makefile ===
all: manpages
	./graph.pl `find .. -name \*.pm` > hierarchy.txt

pod2man=pod2man -c Debconf -r '' --utf8
manpages:
	cd man && po4a po4a/po4a.cfg
	for pod in man/*.pod; do \
		perl -pi -e '/^=encoding/ and $$seen = 1; if (not $$seen and /^=head1/) { print "=encoding UTF-8\n\n"; $$seen = 1; }' $$pod; \
	done
	install -d man/gen
	for num in 1 3 8; do \
		find man -maxdepth 1 -type f -name "*.$$num.pod" -printf '%P\n' | \
			xargs -i sh -c "cd man ; $(pod2man) --section=$$num {} > gen/\`basename {} .pod\`"; \
	done
	$(pod2man) --section=3 ../Debconf/Client/ConfModule.pm \
		> man/gen/Debconf::Client::ConfModule.3pm
	find .. -maxdepth 1 -perm /100 -type f \( -name debconf -or -name 'debconf-*' \) -printf '%P\n' | \
		xargs -i sh -c "cd .. ; $(pod2man) --section=1 {} > doc/man/gen/{}.1"
	find .. -maxdepth 1 -perm /100 -type f -name 'dpkg-*' -printf '%P\n' | \
		xargs -i sh -c "cd .. ; $(pod2man) --section=8 {} > doc/man/gen/{}.8"

clean:
	cd man && po4a --rm-translations po4a/po4a.cfg
	rm -f man/po4a/po/*~
	rm -f hierarchy.txt
	rm -rf man/gen

=== debian/changelog ===
debconf (1.5.58ubuntu1) xenial; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Gnome.pm: Do not show "Cancel" or "Close" buttons, to avoid breaking
      maintainer scripts.
    - Do not generate Ui_DebconfWizard.pm at build time, use a pre-generated
      copy instead.  This should allow us to demote a bunch of packages to
      universe.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 09 Nov 2015 18:50:07 -0800

debconf (1.5.58) unstable; urgency=medium

  * Don't update po/debconf.pot unless doing so changes something other than
    the POT-Creation-Date header.  The basic approach here is from gettext,
    though implemented a bit more simply since we can assume perl.
  * Show choices for teletype/readline boolean questions (closes: #802840).
  * Move bash completion file to /usr/share/bash-completion/completions/.

 -- Colin Watson <cjwatson@debian.org>  Sun, 08 Nov 2015 03:27:10 +0000

debconf (1.5.57ubuntu1) wily; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - Gnome.pm: Do not show "Cancel" or "Close" buttons, to avoid breaking
      maintainer scripts.
    - Do not generate Ui_DebconfWizard.pm at build time, use a pre-generated
      copy instead.  This should allow us to demote a bunch of packages to
      universe.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 12 Aug 2015 13:33:29 -0700

debconf (1.5.57) unstable; urgency=medium

  [ Colin Watson ]
  * Drop alternative Suggests on gnome-utils (closes: #792219).  It hasn't
    existed since squeeze, it dropped gdialog in 2003, and debconf only
    supported gdialog for about three weeks in 1999 anyway.
  * Escape braces in regexes to avoid deprecation warning with Perl 5.22
    (closes: #786705).
  * When creating a new template and finding that it already exists in the
    database, ensure that a question of the same name exists too (closes:
    #518322, #779920).

  [ Jérémy Bobbio ]
  * Use UTC when running xgettext for build reproducibility. Closes: #783255

  [ Debconf translations ]
  * Brazilian Portuguese (Adriano Rafael Gomes). Closes: #785464

 -- Colin Watson <cjwatson@debian.org>  Thu, 16 Jul 2015 12:33:36 +0100

debconf (1.5.55ubuntu3) wily; urgency=medium

  * No-change rebuild for python3.5 transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 22 Jul 2015 06:33:18 +0000

debconf (1.5.55ubuntu2) vivid; urgency=medium

  * Fix up Makefile for the previous change.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Thu, 15 Jan 2015 13:18:02 +0300

debconf (1.5.55ubuntu1) vivid; urgency=low

  * Merge from Debian unstable, remaining change:
    - Gnome.pm: Do not show "Cancel" or "Close" buttons, to avoid breaking
      maintainer scripts.
  * Do not generate Ui_DebconfWizard.pm at build time, use a
    pre-generated copy instead. This should allow us to demote a bunch
    of packages to universe.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Thu, 15 Jan 2015 13:04:57 +0300

debconf (1.5.53ubuntu1) utopic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Gnome.pm: Do not show "Cancel" or "Close" buttons, to avoid breaking
      maintainer scripts.

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 28 Apr 2014 11:49:29 +0200

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,26 @@
 Source: debconf
 Section: admin
 Priority: optional
-Maintainer: Debconf Developers <debconf-devel@lists.alioth.debian.org>
+Maintainer: Colin Watson <cjwatson@ubuntu.com>
+XSBC-Original-Maintainer: Debconf Developers <debconf-devel@lists.alioth.debian.org>
 Uploaders: Colin Watson <cjwatson@debian.org>
 Standards-Version: 3.9.5
-Build-Depends-Indep: perl (>= 5.10.0-16), python (>= 2.6.6-3~), python3 (>= 3.1.2-8), gettext (>= 0.13), libintl-perl, libqtgui4-perl
-Build-Depends: debhelper (>= 7.2.11~), po-debconf, po4a (>= 0.23)
-Vcs-Git: git://anonscm.debian.org/debconf/debconf.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debconf/debconf.git;a=summary
+Build-Depends-Indep: perl (>= 5.10.0-16), python (>= 2.6.6-3~), python3 (>= 3.1.2-8), gettext (>= 0.13), libintl-perl
+Build-Depends: debhelper (>= 8.1.0~), po-debconf, po4a (>= 0.23)
+XS-Debian-Vcs-Git: git://anonscm.debian.org/debconf/debconf.git
+XS-Debian-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debconf/debconf.git;a=summary
+Vcs-Bzr: http://bazaar.launchpad.net/+branch/ubuntu/debconf
 X-Python-Version: >= 2.6
 
 Package: debconf
 Priority: important
-Pre-Depends: perl-base (>= 5.20.1-3~)
+Pre-Depends: perl-base (>= 5.6.1-4)
 Conflicts: cdebconf (<< 0.96), debconf-tiny, apt (<< 0.3.12.1), menu (<= 2.1.3-1), dialog (<< 0.9b-20020814-1), whiptail (<< 0.51.4-11), whiptail-utf8 (<= 0.50.17-13), debconf-utils (<< 1.3.22)
 Provides: debconf-2.0
 Replaces: debconf-tiny
 Depends: ${misc:Depends}
 Recommends: apt-utils (>= 0.5.1), debconf-i18n
-Suggests: debconf-doc, debconf-utils, whiptail | dialog | gnome-utils, libterm-readline-gnu-perl, libgtk2-perl (>= 1:1.130), libnet-ldap-perl, perl, libqtgui4-perl, libqtcore4-perl
+Suggests: debconf-doc, debconf-utils, whiptail | dialog, libterm-readline-gnu-perl, libgtk2-perl (>= 1:1.130), libnet-ldap-perl, perl, libqtgui4-perl, libqtcore4-perl
 Architecture: all
 Multi-Arch: foreign
 Description: Debian configuration management system

## debconf 1.5.58ubuntu2

=== debian/changelog ===
debconf (1.5.58ubuntu2) xenial; urgency=medium

  * Fix readline prompts when run via run-parts (LP: #1822270)
    - Debconf/FrontEnd/Readline.pm: force output to stdout if both stdout and
      stderr are pipes

 -- Heitor Alves de Siqueira <halves@canonical.com>  Mon, 06 May 2019 13:31:57 -0300

=== debian/rules ===
#! /usr/bin/make -f

# Ensure that builds are self-hosting, which means I have to use the .pm
# files in this package, not any that may be on the system.
export PERL5LIB=.

%:
	dh $@ --with python2,python3

override_dh_auto_install:
	$(MAKE) prefix=`pwd`/debian/debconf-utils install-utils
	$(MAKE) prefix=`pwd`/debian/debconf-i18n install-i18n
	$(MAKE) prefix=`pwd`/debian/debconf install-rest

# Run dh_link earlier so that it has an opportunity to link documentation
# directories.
override_dh_installdocs:
	dh_link
	dh_installdocs

override_dh_installdebconf:
	# Don't modify postrm, I purge differently than normal packages
	# using me
	dh_installdebconf -n

override_dh_install:
	dh_install
	cp debian/apt.conf debian/debconf/etc/apt/apt.conf.d/70debconf
	cp bash_completion \
		debian/debconf/usr/share/bash-completion/completions/debconf
	ln -s debconf \
		debian/debconf/usr/share/bash-completion/completions/debconf-show

override_dh_installchangelogs:
	# Changelog reduction hack for debconf. Only include top 100 entries.
	perl -ne '$$c++ if /^debconf /; last if $$c > 100 ; print $$_' \
		< debian/changelog > debian/debconf.changelog
	dh_installchangelogs

override_dh_compress:
	dh_compress -X demo.templates -X tutorial.templates

## debconf 1.5.61

=== debian/changelog ===
debconf (1.5.61) unstable; urgency=medium

  [ Niko Tyni ]
  * Use File::Temp instead of the deprecated POSIX::tmpnam() in
    Debconf::TmpFile (closes: #863071).

 -- Colin Watson <cjwatson@debian.org>  Sun, 21 May 2017 18:08:30 +0100

debconf (1.5.60) unstable; urgency=medium

  [ Christian Perrier ]
  * French manpages translation. Thanks to Baptiste Jammet.
    Closes: #849394

 -- Colin Watson <cjwatson@debian.org>  Fri, 20 Jan 2017 12:58:59 +0000

debconf (1.5.59) unstable; urgency=medium

  * Use HTTPS for Vcs-* URLs, and link to cgit rather than gitweb.
  * Set source format to 3.0 (native).
  * frontend: Load templates when we're being run from any maintainer
    script, not just preinst/postinst (closes: #817083).

 -- Colin Watson <cjwatson@debian.org>  Fri, 11 Mar 2016 10:59:28 +0000

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,18 @@
 Source: debconf
 Section: admin
 Priority: optional
-Maintainer: Colin Watson <cjwatson@ubuntu.com>
-XSBC-Original-Maintainer: Debconf Developers <debconf-devel@lists.alioth.debian.org>
+Maintainer: Debconf Developers <debconf-devel@lists.alioth.debian.org>
 Uploaders: Colin Watson <cjwatson@debian.org>
 Standards-Version: 3.9.5
-Build-Depends-Indep: perl (>= 5.10.0-16), python (>= 2.6.6-3~), python3 (>= 3.1.2-8), gettext (>= 0.13), libintl-perl
+Build-Depends-Indep: perl (>= 5.10.0-16), python (>= 2.6.6-3~), python3 (>= 3.1.2-8), gettext (>= 0.13), libintl-perl, libqtgui4-perl
 Build-Depends: debhelper (>= 8.1.0~), po-debconf, po4a (>= 0.23)
-XS-Debian-Vcs-Git: git://anonscm.debian.org/debconf/debconf.git
-XS-Debian-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debconf/debconf.git;a=summary
-Vcs-Bzr: http://bazaar.launchpad.net/+branch/ubuntu/debconf
+Vcs-Git: https://anonscm.debian.org/git/debconf/debconf.git
+Vcs-Browser: https://anonscm.debian.org/cgit/debconf/debconf.git
 X-Python-Version: >= 2.6
 
 Package: debconf
 Priority: important
-Pre-Depends: perl-base (>= 5.6.1-4)
+Pre-Depends: perl-base (>= 5.20.1-3~)
 Conflicts: cdebconf (<< 0.96), debconf-tiny, apt (<< 0.3.12.1), menu (<= 2.1.3-1), dialog (<< 0.9b-20020814-1), whiptail (<< 0.51.4-11), whiptail-utf8 (<= 0.50.17-13), debconf-utils (<< 1.3.22)
 Provides: debconf-2.0
 Replaces: debconf-tiny

## debconf 1.5.63

=== Makefile ===
--- 
+++ 
@@ -34,6 +34,9 @@
 install-i18n:
 	$(MAKE) -C po install
 
+PERL := perl
+PERL_VENDORLIB := $(shell $(PERL) -MConfig -e 'print $$Config{vendorlib}')
+
 # This would probably be easier if we used setup.py ...
 PYTHON2_SUPPORTED := $(shell pyversions -s)
 PYTHON_SITEDIR = $(prefix)/usr/lib/$(1)/$(if $(filter 2.0 2.1 2.2 2.3 2.4 2.5,$(patsubst python%,%,$(1))),site-packages,dist-packages)
@@ -49,13 +52,13 @@
 	# This one is the ultimate backup copy.
 	grep -v '^#' debconf.conf > $(prefix)/usr/share/debconf/debconf.conf
 	#build the Qt ui file
-	-cd $(CURDIR)/Debconf/FrontEnd/Kde/ && bash generateui.sh
+	cd $(CURDIR)/Debconf/FrontEnd/Kde/ && bash generateui.sh
 	# Make module directories.
 	find Debconf -type d |grep -v CVS | \
-		xargs -i install -d $(prefix)/usr/share/perl5/{}
+		xargs -i install -d $(prefix)/$(PERL_VENDORLIB)/{}
 	# Install modules.
 	find Debconf -type f -name '*.pm' |grep -v CVS | \
-		xargs -i install -m 0644 {} $(prefix)/usr/share/perl5/{}
+		xargs -i install -m 0644 {} $(prefix)/$(PERL_VENDORLIB)/{}
 	set -e; for dir in $(foreach python,$(PYTHON2_SUPPORTED),$(call PYTHON_SITEDIR,$(python))); do \
 		install -d $$dir; \
 		install -m 0644 debconf.py $$dir/; \
@@ -63,9 +66,9 @@
 	install -d $(prefix)/usr/lib/python3/dist-packages
 	install -m 0644 debconf.py $(prefix)/usr/lib/python3/dist-packages/
 	# Special case for back-compatability.
-	install -d $(prefix)/usr/share/perl5/Debian/DebConf/Client
+	install -d $(prefix)/$(PERL_VENDORLIB)/Debian/DebConf/Client
 	cp Debconf/Client/ConfModule.stub \
-		$(prefix)/usr/share/perl5/Debian/DebConf/Client/ConfModule.pm
+		$(prefix)/$(PERL_VENDORLIB)/Debian/DebConf/Client/ConfModule.pm
 	# Other libs and helper stuff.
 	install -m 0644 confmodule.sh confmodule $(prefix)/usr/share/debconf/
 	install frontend $(prefix)/usr/share/debconf/
@@ -77,7 +80,7 @@
 	find . -maxdepth 1 -perm /100 -type f -name debconf -or -name debconf-show -or -name debconf-copydb -or -name debconf-communicate -or -name debconf-set-selections -or -name debconf-apt-progress -or -name debconf-escape | \
 		xargs -i install {} $(prefix)/usr/bin
 	# Now strip all pod documentation from all .pm files and scripts.
-	find $(prefix)/usr/share/perl5/ $(prefix)/usr/sbin		\
+	find $(prefix)/$(PERL_VENDORLIB)/ $(prefix)/usr/sbin		\
 	     $(prefix)/usr/share/debconf/frontend 			\
 	     $(prefix)/usr/share/debconf/*.pl $(prefix)/usr/bin		\
 	     -name '*.pl' -or -name '*.pm' -or -name 'dpkg-*' -or	\

=== debian/changelog ===
debconf (1.5.63) unstable; urgency=medium

  * "Change directory to / before executing maintainer scripts" from 1.5.62
    was too intrusive due to changing Debconf::ConfModule, and broke some
    existing maintainer scripts that e.g. ran ucf with relative paths.
    Instead, just chdir to / before running maintainer scripts in
    dpkg-reconfigure and chdir back afterwards (closes: #608648).
  * In the Gnome frontend, hide the cancel button, and prompt for
    confirmation when the close button is pressed (closes: #501767).
    Original idea by Michael Vogt with an amendment by Joey Hess; some code
    by Martin Pitt.

 -- Colin Watson <cjwatson@debian.org>  Wed, 12 Jul 2017 02:23:47 +0100

debconf (1.5.62) unstable; urgency=medium

  * Upgrade to debhelper v9 and dh-exec.
  * Make debconf provide python-debconf and python3-debconf, in preparation
    for splitting those out to separate binary packages (see #709198).
  * dpkg-preconfigure: Don't write "Extracting templates from packages:"
    progress output if stderr is not a terminal (closes: #701818).
  * Change directory to / before executing maintainer scripts (closes:
    #608648).
  * Install to $Config{vendorlib} rather than hardcoding /usr/share/perl5.
  * Upgrade to copyright-format 1.0.
  * Policy version 4.0.0.

 -- Colin Watson <cjwatson@debian.org>  Mon, 03 Jul 2017 06:38:14 +0100

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Debconf Developers <debconf-devel@lists.alioth.debian.org>
 Uploaders: Colin Watson <cjwatson@debian.org>
-Standards-Version: 3.9.5
+Standards-Version: 4.0.0
 Build-Depends-Indep: perl (>= 5.10.0-16), python (>= 2.6.6-3~), python3 (>= 3.1.2-8), gettext (>= 0.13), libintl-perl, libqtgui4-perl
-Build-Depends: debhelper (>= 8.1.0~), po-debconf, po4a (>= 0.23)
+Build-Depends: debhelper (>= 9~), dh-exec, po-debconf, po4a (>= 0.23)
 Vcs-Git: https://anonscm.debian.org/git/debconf/debconf.git
 Vcs-Browser: https://anonscm.debian.org/cgit/debconf/debconf.git
 X-Python-Version: >= 2.6
@@ -14,7 +14,7 @@
 Priority: important
 Pre-Depends: perl-base (>= 5.20.1-3~)
 Conflicts: cdebconf (<< 0.96), debconf-tiny, apt (<< 0.3.12.1), menu (<= 2.1.3-1), dialog (<< 0.9b-20020814-1), whiptail (<< 0.51.4-11), whiptail-utf8 (<= 0.50.17-13), debconf-utils (<< 1.3.22)
-Provides: debconf-2.0
+Provides: debconf-2.0, python-debconf (= ${binary:Version}), python3-debconf (= ${binary:Version})
 Replaces: debconf-tiny
 Depends: ${misc:Depends}
 Recommends: apt-utils (>= 0.5.1), debconf-i18n

=== debian/rules ===
--- 
+++ 
@@ -23,14 +23,6 @@
 	# using me
 	dh_installdebconf -n
 
-override_dh_install:
-	dh_install
-	cp debian/apt.conf debian/debconf/etc/apt/apt.conf.d/70debconf
-	cp bash_completion \
-		debian/debconf/usr/share/bash-completion/completions/debconf
-	ln -s debconf \
-		debian/debconf/usr/share/bash-completion/completions/debconf-show
-
 override_dh_installchangelogs:
 	# Changelog reduction hack for debconf. Only include top 100 entries.
 	perl -ne '$$c++ if /^debconf /; last if $$c > 100 ; print $$_' \

## debconf 1.5.66

=== Makefile ===
--- 
+++ 
@@ -22,7 +22,7 @@
 
 # Does not attempt to install documentation, as that can be fairly system
 # specific.
-install: install-utils install-rest
+install: install-utils install-python2 install-python3 install-rest
 
 # Anything that goes in the debconf-utils package.
 install-utils:
@@ -40,6 +40,18 @@
 # This would probably be easier if we used setup.py ...
 PYTHON2_SUPPORTED := $(shell pyversions -s)
 PYTHON_SITEDIR = $(prefix)/usr/lib/$(1)/$(if $(filter 2.0 2.1 2.2 2.3 2.4 2.5,$(patsubst python%,%,$(1))),site-packages,dist-packages)
+
+# The Python 2 package.
+install-python2:
+	set -e; for dir in $(foreach python,$(PYTHON2_SUPPORTED),$(call PYTHON_SITEDIR,$(python))); do \
+		install -d $$dir; \
+		install -m 0644 debconf.py $$dir/; \
+	done
+
+# The Python 3 package.
+install-python3:
+	install -d $(prefix)/usr/lib/python3/dist-packages
+	install -m 0644 debconf.py $(prefix)/usr/lib/python3/dist-packages/
 
 # Install all else.
 install-rest:
@@ -59,12 +71,6 @@
 	# Install modules.
 	find Debconf -type f -name '*.pm' |grep -v CVS | \
 		xargs -i install -m 0644 {} $(prefix)/$(PERL_VENDORLIB)/{}
-	set -e; for dir in $(foreach python,$(PYTHON2_SUPPORTED),$(call PYTHON_SITEDIR,$(python))); do \
-		install -d $$dir; \
-		install -m 0644 debconf.py $$dir/; \
-	done
-	install -d $(prefix)/usr/lib/python3/dist-packages
-	install -m 0644 debconf.py $(prefix)/usr/lib/python3/dist-packages/
 	# Special case for back-compatability.
 	install -d $(prefix)/$(PERL_VENDORLIB)/Debian/DebConf/Client
 	cp Debconf/Client/ConfModule.stub \

=== debian/changelog ===
debconf (1.5.66) unstable; urgency=medium

  [ Programs translations ]
  * French (Baptiste Jammet; closes: #887754).

  [ Colin Watson ]
  * Move VCS to salsa.debian.org.
  * Mark debconf-doc Multi-Arch: foreign.
  * Port the Gnome frontend to GTK+ 3 (closes: #883442, LP: #1736618).

 -- Colin Watson <cjwatson@debian.org>  Wed, 28 Feb 2018 09:50:20 +0000

debconf (1.5.65) unstable; urgency=medium

  * Declare Breaks on update-notifier-common (<< 3.187~) for the move of
    debconf.py to separate binary packages (thanks, Steve Langasek; closes:
    #881574).

 -- Colin Watson <cjwatson@debian.org>  Mon, 13 Nov 2017 15:26:13 +0000

debconf (1.5.64) unstable; urgency=medium

  [ Colin Watson ]
  * Split debconf.py out to new python-debconf and python3-debconf binary
    packages (closes: #709198).
  * debconf.py: Allow the Debconf class to be used as a context manager
    (closes: #877096).
  * Simplify creation of documentation directory symlinks using
    "dh_installdocs --link-doc".

  [ Programs translations ]
  * German (Helge Kreutzmann).

  [ Debconf translations ]
  * Albanian (Eva Vranici).

 -- Colin Watson <cjwatson@debian.org>  Sun, 15 Oct 2017 11:52:50 +0100

=== debian/control ===
--- 
+++ 
@@ -5,20 +5,21 @@
 Uploaders: Colin Watson <cjwatson@debian.org>
 Standards-Version: 4.0.0
 Build-Depends-Indep: perl (>= 5.10.0-16), python (>= 2.6.6-3~), python3 (>= 3.1.2-8), gettext (>= 0.13), libintl-perl, libqtgui4-perl
-Build-Depends: debhelper (>= 9~), dh-exec, po-debconf, po4a (>= 0.23)
-Vcs-Git: https://anonscm.debian.org/git/debconf/debconf.git
-Vcs-Browser: https://anonscm.debian.org/cgit/debconf/debconf.git
+Build-Depends: debhelper (>= 9~), dh-exec, dh-python, po-debconf, po4a (>= 0.23)
+Vcs-Git: https://salsa.debian.org/pkg-debconf/debconf
+Vcs-Browser: https://salsa.debian.org/pkg-debconf/debconf
 X-Python-Version: >= 2.6
 
 Package: debconf
 Priority: important
 Pre-Depends: perl-base (>= 5.20.1-3~)
 Conflicts: cdebconf (<< 0.96), debconf-tiny, apt (<< 0.3.12.1), menu (<= 2.1.3-1), dialog (<< 0.9b-20020814-1), whiptail (<< 0.51.4-11), whiptail-utf8 (<= 0.50.17-13), debconf-utils (<< 1.3.22)
-Provides: debconf-2.0, python-debconf (= ${binary:Version}), python3-debconf (= ${binary:Version})
+Breaks: apt-listchanges (<< 3.14), ubiquity (<< 17.10.2), update-notifier-common (<< 3.187~)
+Provides: debconf-2.0
 Replaces: debconf-tiny
 Depends: ${misc:Depends}
 Recommends: apt-utils (>= 0.5.1), debconf-i18n
-Suggests: debconf-doc, debconf-utils, whiptail | dialog, libterm-readline-gnu-perl, libgtk2-perl (>= 1:1.130), libnet-ldap-perl, perl, libqtgui4-perl, libqtcore4-perl
+Suggests: debconf-doc, debconf-utils, whiptail | dialog, libterm-readline-gnu-perl, libgtk3-perl, libnet-ldap-perl, perl, libqtgui4-perl, libqtcore4-perl
 Architecture: all
 Multi-Arch: foreign
 Description: Debian configuration management system
@@ -44,6 +45,7 @@
 Depends: ${misc:Depends}
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Description: debconf documentation
  This package contains lots of additional documentation for Debconf,
  including the debconf user's guide, documentation about using different
@@ -58,3 +60,29 @@
 Architecture: all
 Description: debconf utilities
  This package contains some small utilities for debconf developers.
+
+Package: python-debconf
+Section: python
+Depends: debconf (= ${binary:Version}), ${misc:Depends}, ${python:Depends}
+Breaks: debconf (<< 1.5.64)
+Replaces: debconf (<< 1.5.64)
+Architecture: all
+Description: interact with debconf from Python 2
+ Debconf is a configuration management system for debian packages. Packages
+ use Debconf to ask questions when they are installed.
+ .
+ This package provides a debconf module to allow Python 2 programs to
+ interact with a debconf frontend.
+
+Package: python3-debconf
+Section: python
+Depends: debconf (= ${binary:Version}), ${misc:Depends}, ${python3:Depends}
+Breaks: debconf (<< 1.5.64)
+Replaces: debconf (<< 1.5.64)
+Architecture: all
+Description: interact with debconf from Python 3
+ Debconf is a configuration management system for debian packages. Packages
+ use Debconf to ask questions when they are installed.
+ .
+ This package provides a debconf module to allow Python 3 programs to
+ interact with a debconf frontend.

## debconf 1.5.66ubuntu1

=== po/Makefile ===
# List here all source files with translatable strings.
POTFILES=$(sort $(shell find ../Debconf -type f -name \*.pm)) \
	../dpkg-* ../debconf-* ../debconf

POFILES=$(wildcard *.po)
MOFILES=$(POFILES:.po=.mo)

all: debconf.pot $(MOFILES)

install: all
	for file in $(MOFILES); do \
		lang=`echo $$file | sed 's/\.mo//'`; \
		install -d $(prefix)/usr/share/locale/$$lang/LC_MESSAGES/; \
		install -m 0644 $$file $(prefix)/usr/share/locale/$$lang/LC_MESSAGES/debconf.mo; \
	done

debconf.pot: $(POTFILES)
	@echo "Rebuilding the pot file"
	TZ=UTC xgettext $(POTFILES) -o debconf.pot.new -Lperl
	if [ -f debconf.pot ]; then \
		./remove-potcdate.pl < debconf.pot > debconf.1po && \
		./remove-potcdate.pl < debconf.pot.new > debconf.2po && \
		if cmp debconf.1po debconf.2po >/dev/null 2>&1; then \
			rm -f debconf.1po debconf.2po debconf.pot.new; \
		else \
			rm -f debconf.1po debconf.2po && \
			mv debconf.pot.new debconf.pot; \
		fi; \
	else \
		mv debconf.pot.new debconf.pot; \
	fi

clean:
	rm -f $(MOFILES) debconf.pot.new messages messages.mo

%.mo: %.po
	msgfmt -o $@ $<

%.po: debconf.pot
	@echo -n "Merging debconf.pot and $@"
	@msgmerge --previous $@ debconf.pot -o $@.new
	@mv -f $@.new $@
	@msgfmt --statistics $@

check:
	@for file in $(POFILES); do \
		lang=`echo $$file | sed 's/\.po//'`; \
		printf "$$lang: "; \
		msgfmt -o /dev/null -c -v --statistics $$lang.po;\
	done

=== debian/changelog ===
debconf (1.5.66ubuntu1) bionic; urgency=medium

  * Fix readline prompts when run via run-parts (LP: #1822270)
    - Debconf/FrontEnd/Readline.pm: force output to stdout if both stdout and
      stderr are pipes

 -- Heitor Alves de Siqueira <halves@canonical.com>  Mon, 06 May 2019 13:30:30 -0300

=== debian/rules ===
--- 
+++ 
@@ -10,13 +10,13 @@
 override_dh_auto_install:
 	$(MAKE) prefix=`pwd`/debian/debconf-utils install-utils
 	$(MAKE) prefix=`pwd`/debian/debconf-i18n install-i18n
+	$(MAKE) prefix=`pwd`/debian/python-debconf install-python2
+	$(MAKE) prefix=`pwd`/debian/python3-debconf install-python3
 	$(MAKE) prefix=`pwd`/debian/debconf install-rest
 
-# Run dh_link earlier so that it has an opportunity to link documentation
-# directories.
 override_dh_installdocs:
-	dh_link
-	dh_installdocs
+	dh_installdocs -Ndebconf-doc --link-doc=debconf
+	dh_installdocs -pdebconf-doc
 
 override_dh_installdebconf:
 	# Don't modify postrm, I purge differently than normal packages

## debconf 1.5.69

=== debian/changelog ===
debconf (1.5.69) unstable; urgency=medium

  [ Manpages translations ]
  * German.

  [ Programs translations ]
  * Dutch (Frans Spiesschaert; closes: #874287).

  [ Colin Watson ]
  * Remove the Qt frontend (formerly Kde), as qt4-perl is on its way out
    (closes: #629405).

 -- Colin Watson <cjwatson@debian.org>  Wed, 25 Jul 2018 09:42:35 +0100

debconf (1.5.68) unstable; urgency=medium

  [ Modestas Vainius ]
  * Rename current Kde frontend to Qt.
  * Add Debian/{FrontEnd,Element}/Qt* to debian/copyright.
  * Add new Kde frontend that is driven by debconf-kde-helper (and requires
    package of the same name). libqtcore4-perl and libqtgui4-perl packages
    are no longer necessary and can be safely removed. (Closes: #631769)

 -- Colin Watson <cjwatson@debian.org>  Thu, 19 Jul 2018 11:00:56 +0100

debconf (1.5.67) unstable; urgency=medium

  [ Translations ]
  * Russian (Yuri Kozlov; closes: #898134).

  [ Colin Watson ]
  * Chase Vcs-Git redirection (thanks, Raphaël Hertzog).
  * Adjust IFS handling in confmodule to work around #901185.

 -- Colin Watson <cjwatson@debian.org>  Tue, 12 Jun 2018 06:16:03 +0100

## debconf 1.5.69ubuntu1

=== debian/changelog ===
debconf (1.5.69ubuntu1) cosmic; urgency=medium

  * Fix readline prompts when run via run-parts (LP: #1822270)
    - Debconf/FrontEnd/Readline.pm: force output to stdout if both stdout and
      stderr are pipes

 -- Heitor Alves de Siqueira <halves@canonical.com>  Mon, 06 May 2019 13:27:55 -0300

## debconf 1.5.71

=== Makefile ===
--- 
+++ 
@@ -17,8 +17,6 @@
 	rm -rf __pycache__
 	$(MAKE) -C doc clean
 	$(MAKE) -C po clean
-	#remove generated file
-	rm -f Debconf/FrontEnd/Kde/Ui_DebconfWizard.pm
 
 # Does not attempt to install documentation, as that can be fairly system
 # specific.
@@ -63,8 +61,6 @@
 	install -m 0644 debian-logo.png $(prefix)/usr/share/pixmaps/
 	# This one is the ultimate backup copy.
 	grep -v '^#' debconf.conf > $(prefix)/usr/share/debconf/debconf.conf
-	#build the Qt ui file
-	cd $(CURDIR)/Debconf/FrontEnd/Kde/ && bash generateui.sh
 	# Make module directories.
 	find Debconf -type d |grep -v CVS | \
 		xargs -i install -d $(prefix)/$(PERL_VENDORLIB)/{}

=== debian/changelog ===
debconf (1.5.71) unstable; urgency=medium

  [ Kevin Locke ]
  * Dialog: Fix whiptail ellipsized selections (closes: #922279).

 -- Colin Watson <cjwatson@debian.org>  Tue, 26 Feb 2019 09:30:35 +0000

debconf (1.5.70) unstable; urgency=medium

  [ Colin Watson ]
  * When using whiptail, trim select/multiselect items to fit if necessary
    (closes: #478281).

  [ Manpages translations ]
  * French (Jean-Philippe MENGUAL; closes: #916598).

  [ Programs translations ]
  * French (Baptiste Jammet; closes: #918939).

 -- Colin Watson <cjwatson@debian.org>  Wed, 16 Jan 2019 10:02:24 +0000

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Debconf Developers <debconf-devel@lists.alioth.debian.org>
 Uploaders: Colin Watson <cjwatson@debian.org>
 Standards-Version: 4.0.0
-Build-Depends-Indep: perl (>= 5.10.0-16), python (>= 2.6.6-3~), python3 (>= 3.1.2-8), gettext (>= 0.13), libintl-perl, libqtgui4-perl
+Build-Depends-Indep: perl (>= 5.10.0-16), python (>= 2.6.6-3~), python3 (>= 3.1.2-8), gettext (>= 0.13), libintl-perl
 Build-Depends: debhelper (>= 9~), dh-exec, dh-python, po-debconf, po4a (>= 0.23)
-Vcs-Git: https://salsa.debian.org/pkg-debconf/debconf
+Vcs-Git: https://salsa.debian.org/pkg-debconf/debconf.git
 Vcs-Browser: https://salsa.debian.org/pkg-debconf/debconf
 X-Python-Version: >= 2.6
 
@@ -19,7 +19,7 @@
 Replaces: debconf-tiny
 Depends: ${misc:Depends}
 Recommends: apt-utils (>= 0.5.1), debconf-i18n
-Suggests: debconf-doc, debconf-utils, whiptail | dialog, libterm-readline-gnu-perl, libgtk3-perl, libnet-ldap-perl, perl, libqtgui4-perl, libqtcore4-perl
+Suggests: debconf-doc, debconf-utils, whiptail | dialog, libterm-readline-gnu-perl, libgtk3-perl, libnet-ldap-perl, perl, debconf-kde-helper (>= 0.1+git20110702)
 Architecture: all
 Multi-Arch: foreign
 Description: Debian configuration management system

## debconf 1.5.71ubuntu1

=== debian/changelog ===
debconf (1.5.71ubuntu1) disco; urgency=medium

  * Fix readline prompts when run via run-parts (LP: #1822270)
    - Debconf/FrontEnd/Readline.pm: force output to stdout if both stdout and
      stderr are pipes

 -- Heitor Alves de Siqueira <halves@canonical.com>  Mon, 06 May 2019 13:16:57 -0300

## debconf 1.5.71+deb10u1

=== debian/changelog ===
debconf (1.5.71+deb10u1) buster; urgency=medium

  * Check that whiptail or dialog is actually usable (closes: #985572).

 -- Colin Watson <cjwatson@debian.org>  Fri, 01 Oct 2021 10:39:27 +0100

## debconf 1.5.71+nmu1

=== debian/changelog ===
debconf (1.5.71+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 11:12:56 +0800

## debconf 1.5.72

=== debian/changelog ===
debconf (1.5.72) unstable; urgency=medium

  [ Manpages translations ]
  * Portuguese (Américo Monteiro; closes: #927421).

  [ Heitor Alves de Siqueira ]
  * Fix readline prompts when run via run-parts (closes: #928182).

 -- Colin Watson <cjwatson@debian.org>  Sun, 05 May 2019 13:45:57 +0100

## debconf 1.5.73

=== debian/changelog ===
debconf (1.5.73) unstable; urgency=medium

  * Use debhelper-compat instead of debian/compat.
  * Remove ancient X-Python-Version field.
  * Drop Python 2 support.

 -- Colin Watson <cjwatson@debian.org>  Sat, 03 Aug 2019 11:51:13 +0100

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,10 @@
 Maintainer: Debconf Developers <debconf-devel@lists.alioth.debian.org>
 Uploaders: Colin Watson <cjwatson@debian.org>
 Standards-Version: 4.0.0
-Build-Depends-Indep: perl (>= 5.10.0-16), python (>= 2.6.6-3~), python3 (>= 3.1.2-8), gettext (>= 0.13), libintl-perl
-Build-Depends: debhelper (>= 9~), dh-exec, dh-python, po-debconf, po4a (>= 0.23)
+Build-Depends-Indep: perl (>= 5.10.0-16), python3 (>= 3.1.2-8), gettext (>= 0.13), libintl-perl
+Build-Depends: debhelper-compat (= 9), dh-exec, dh-python, po-debconf, po4a (>= 0.23)
 Vcs-Git: https://salsa.debian.org/pkg-debconf/debconf.git
 Vcs-Browser: https://salsa.debian.org/pkg-debconf/debconf
-X-Python-Version: >= 2.6
 
 Package: debconf
 Priority: important
@@ -61,19 +60,6 @@
 Description: debconf utilities
  This package contains some small utilities for debconf developers.
 
-Package: python-debconf
-Section: python
-Depends: debconf (= ${binary:Version}), ${misc:Depends}, ${python:Depends}
-Breaks: debconf (<< 1.5.64)
-Replaces: debconf (<< 1.5.64)
-Architecture: all
-Description: interact with debconf from Python 2
- Debconf is a configuration management system for debian packages. Packages
- use Debconf to ask questions when they are installed.
- .
- This package provides a debconf module to allow Python 2 programs to
- interact with a debconf frontend.
-
 Package: python3-debconf
 Section: python
 Depends: debconf (= ${binary:Version}), ${misc:Depends}, ${python3:Depends}

## debconf 1.5.74

=== debian/changelog ===
debconf (1.5.74) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from old 9 to 12.
  * Add missing colon in closes line.
  * Fix day-of-week for changelog entries 0.1.43.

  [ Fabrice BAUZAC ]
  * Teletype mode: add support for range-based selection.

  [ Programs translations ]
  * German (Helge Kreutzmann).

  [ Niels Thykier ]
  * Remove some obsolete maintainer script code.

 -- Colin Watson <cjwatson@debian.org>  Sat, 18 Apr 2020 12:10:08 +0100

## debconf 1.5.77

=== Makefile ===
--- 
+++ 
@@ -20,7 +20,7 @@
 
 # Does not attempt to install documentation, as that can be fairly system
 # specific.
-install: install-utils install-python2 install-python3 install-rest
+install: install-utils install-python3 install-rest
 
 # Anything that goes in the debconf-utils package.
 install-utils:
@@ -34,17 +34,6 @@
 
 PERL := perl
 PERL_VENDORLIB := $(shell $(PERL) -MConfig -e 'print $$Config{vendorlib}')
-
-# This would probably be easier if we used setup.py ...
-PYTHON2_SUPPORTED := $(shell pyversions -s)
-PYTHON_SITEDIR = $(prefix)/usr/lib/$(1)/$(if $(filter 2.0 2.1 2.2 2.3 2.4 2.5,$(patsubst python%,%,$(1))),site-packages,dist-packages)
-
-# The Python 2 package.
-install-python2:
-	set -e; for dir in $(foreach python,$(PYTHON2_SUPPORTED),$(call PYTHON_SITEDIR,$(python))); do \
-		install -d $$dir; \
-		install -m 0644 debconf.py $$dir/; \
-	done
 
 # The Python 3 package.
 install-python3:

=== debian/changelog ===
debconf (1.5.77) unstable; urgency=medium

  [ Programs translations ]
  * Dutch (Frans Spiesschaert; closes: #986167).
  * Polish (Mmobilea; closes: #976044).

  [ Debconf translations ]
  * Fix double UTF-8 encoding in Finnish translation (closes: #989692).

 -- Colin Watson <cjwatson@debian.org>  Thu, 10 Jun 2021 18:17:49 +0100

debconf (1.5.76) unstable; urgency=medium

  [ Colin Watson ]
  * Check that whiptail or dialog is actually usable (closes: #985572).

  [ Programs translations ]
  * Dutch (Frans Spiesschaert; closes: #906948).

 -- Colin Watson <cjwatson@debian.org>  Sat, 20 Mar 2021 13:14:50 +0000

debconf (1.5.75) unstable; urgency=medium

  [ Philip Hands ]
  * Replace broken debian-logo.png with proper version (closes: #983200).

 -- Colin Watson <cjwatson@debian.org>  Sun, 28 Feb 2021 17:51:28 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Colin Watson <cjwatson@debian.org>
 Standards-Version: 4.0.0
 Build-Depends-Indep: perl (>= 5.10.0-16), python3 (>= 3.1.2-8), gettext (>= 0.13), libintl-perl
-Build-Depends: debhelper-compat (= 9), dh-exec, dh-python, po-debconf, po4a (>= 0.23)
+Build-Depends: debhelper-compat (= 12), dh-exec, dh-python, po-debconf, po4a (>= 0.23)
 Vcs-Git: https://salsa.debian.org/pkg-debconf/debconf.git
 Vcs-Browser: https://salsa.debian.org/pkg-debconf/debconf

## debconf 1.5.79

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: debconf
 Section: admin
 Priority: optional
-Maintainer: Debconf Developers <debconf-devel@lists.alioth.debian.org>
-Uploaders: Colin Watson <cjwatson@debian.org>
+Maintainer: Deepin Developer <deepin-dev@deepin.org>
+Uploaders: Deepin Packages Builder <packages@deepin.org>
 Standards-Version: 4.0.0
 Build-Depends-Indep: perl (>= 5.10.0-16), python3 (>= 3.1.2-8), gettext (>= 0.13), libintl-perl
 Build-Depends: debhelper-compat (= 12), dh-exec, dh-python, po-debconf, po4a (>= 0.23)
-Vcs-Git: https://salsa.debian.org/pkg-debconf/debconf.git
-Vcs-Browser: https://salsa.debian.org/pkg-debconf/debconf
+#Vcs-Git
+#Vcs-Browser
 
 Package: debconf
 Priority: important

## debconf 1.5.79ubuntu1

=== debian/changelog ===
debconf (1.5.79ubuntu1) jammy; urgency=medium

  * dpkg-reconfigure: fix restart of services declared with
    --no-restart-after-upgrade (LP: #1959054)

 -- Dave Jones <dave.jones@canonical.com>  Sun, 20 Feb 2022 14:42:49 +0000

debconf (1.5.79) unstable; urgency=medium

  [ Colin Watson ]
  * Restore a minimal postinst that just loads the confmodule (closes:
    #998068).
  * Remove obsolete Qt entries from debian/copyright.
  * Convert debian/po/tr.po to UTF-8 to pacify Lintian.

  [ Programs translations ]
  * Occitan (Quentin PAGÈS).

 -- Colin Watson <cjwatson@debian.org>  Fri, 29 Oct 2021 14:04:59 +0100

debconf (1.5.78) unstable; urgency=medium

  [ Colin Watson ]
  * debconf-set-selections: Disable non-fatal warnings when loading database
    in --checkonly mode (closes: #587380).

  [ Helmut Grohne ]
  * delete debconf postinst script and transition_db.pl as they only handle
    upgrades from pre-etch (closes: #989567)

  [ Johannes Schauer Marin Rodrigues ]
  * add support for DPKG_ROOT set in maintainer scripts (closes: #983425)

 -- Colin Watson <cjwatson@debian.org>  Sun, 24 Oct 2021 13:28:56 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: debconf
 Section: admin
 Priority: optional
-Maintainer: Deepin Developer <deepin-dev@deepin.org>
-Uploaders: Deepin Packages Builder <packages@deepin.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debconf Developers <debconf-devel@lists.alioth.debian.org>
+Uploaders: Colin Watson <cjwatson@debian.org>
 Standards-Version: 4.0.0
 Build-Depends-Indep: perl (>= 5.10.0-16), python3 (>= 3.1.2-8), gettext (>= 0.13), libintl-perl
 Build-Depends: debhelper-compat (= 12), dh-exec, dh-python, po-debconf, po4a (>= 0.23)
-#Vcs-Git
-#Vcs-Browser
+Vcs-Git: https://salsa.debian.org/pkg-debconf/debconf.git
+Vcs-Browser: https://salsa.debian.org/pkg-debconf/debconf
 
 Package: debconf
 Priority: important

=== debian/rules ===
--- 
+++ 
@@ -5,12 +5,11 @@
 export PERL5LIB=.
 
 %:
-	dh $@ --with python2,python3
+	dh $@ --with python3
 
 override_dh_auto_install:
 	$(MAKE) prefix=`pwd`/debian/debconf-utils install-utils
 	$(MAKE) prefix=`pwd`/debian/debconf-i18n install-i18n
-	$(MAKE) prefix=`pwd`/debian/python-debconf install-python2
 	$(MAKE) prefix=`pwd`/debian/python3-debconf install-python3
 	$(MAKE) prefix=`pwd`/debian/debconf install-rest
